/*------------------------------------------------------------------
		Basic atomic C type definitions
		-------------------------------

	(C) Silicon Dream Ltd 1994

  ------------------------------------------------------------------

Changes:						Date:
* Created file						17/08/94
*/

#ifndef ATOMIC
#define ATOMIC

/* Atomic type definitions */

#define byte		unsigned char	/* by */
#define ushort		unsigned short	/* us */
#define ulong		unsigned long	/* ul */
#define bool		ushort		/* b */

/* General definitions */

#define _st		static
#define _dyn		_export _far _pascal _loadds	// Used for static linked C DLL entry points
#define _getdyn		_export _far _cdecl _loadds	// Used for 'GetProcAddress' linked C DLL entry points
#define _cppdyn		_export _far			// Used for C++ DLL entry points
#define _exp		_export _far			// Used for App callback (MakeProcInstance
#define FALSE		0				//			  sets up DS)
#define TRUE		1
#ifndef USHRT_MAX
#define USHRT_MAX	0xFFFF
#endif
#ifndef ULONG_MAX
#define ULONG_MAX	0xFFFFFFFF
#endif
#define FLT_MAX		1E+37

/* Use 'LINK_MFC_DYN' if you want to use the DLL version of the MFC (_AFXDLL)
   from within a DLL (ie. an MFC extension DLL). It implements the neccessary
   LibMain procedure */

#define LINK_MFC_DYN \
static AFX_EXTENSION_MODULE NEAR extensionDLL={NULL, NULL}; \
extern "C" int CALLBACK LibMain(HINSTANCE hinst, WORD, WORD, LPSTR) \
	{ \
	AfxInitExtensionModule(extensionDLL, hinst); \
	return 1; \
	}

#endif			// Do not include this file twice
